Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.context
Class TilesApplicationContextWrapper

    java.lang.Object
      org.apache.tiles.context.TilesApplicationContextWrapper

All Implemented Interfaces:
  TilesApplicationContext

Direct Known Subclasses:
  PortletTilesRequestContext, ServletTilesRequestContext

    public class TilesApplicationContextWrapper

extends java.lang.Object
implements TilesApplicationContext

Delegate for ease of customization.

Since:
  Tiles 2.1.1
Version:
  $Rev: 950476 $ $Date: 2010-06-02 12:31:43 +0200 (mer, 02 giu 2010) $

Constructor Summary
`TilesApplicationContextWrapper(TilesApplicationContext context)` Constructor.

Method Summary
`java.util.Map<java.lang.String,java.lang.Object>` | `getApplicationScope()` Returns a mutable Map that maps application scope attribute names to their values.
`java.lang.Object` | `getContext()` Returns the original, technology-dependent, context.
`java.util.Map<java.lang.String,java.lang.String>` | `getInitParams()` Return an immutable Map that maps context application initialization parameters to their values.
`java.net.URL` | `getResource(java.lang.String path)` Return a URL for the application resource mapped to the specified path.
`java.util.Set<java.net.URL>` | `getResources(java.lang.String path)` Return a URL for the application resource mapped to the specified path.
`TilesApplicationContext` | `getWrappedApplicationContext()` Returns the wrapped application context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesApplicationContextWrapper

    public TilesApplicationContextWrapper(TilesApplicationContext context)

  Constructor.

  Parameters:
    `context` - The original context.

Method Detail

### getWrappedApplicationContext

    public TilesApplicationContext getWrappedApplicationContext()

  Returns the wrapped application context.

  Returns:
    The wrapped application context.

### getApplicationScope

    public java.util.Map<java.lang.String,java.lang.Object> getApplicationScope()

  Returns a mutable Map that maps application scope attribute names to their values.

  Specified by:
    `getApplicationScope` in interface `TilesApplicationContext`
  Returns:
    Map of key value pairs.

### getContext

    public java.lang.Object getContext()

  Returns the original, technology-dependent, context.

  Specified by:
    `getContext` in interface `TilesApplicationContext`
  Returns:
    The original application context.

### getInitParams

    public java.util.Map<java.lang.String,java.lang.String> getInitParams()

  Return an immutable Map that maps context application initialization parameters to their values.

  Specified by:
    `getInitParams` in interface `TilesApplicationContext`
  Returns:
    initialization parameters

### getResource

    public java.net.URL getResource(java.lang.String path)
                             throws java.io.IOException

  Return a URL for the application resource mapped to the specified path.

  Specified by:
    `getResource` in interface `TilesApplicationContext`
  Parameters:
    `path` - to the desired resource.
  Returns:
    the first located resource which matches the given path.
  Throws:
    `java.io.IOException` - if the path is malformed

### getResources

    public java.util.Set<java.net.URL> getResources(java.lang.String path)
                                             throws java.io.IOException

  Return a URL for the application resource mapped to the specified path.

  Specified by:
    `getResources` in interface `TilesApplicationContext`
  Parameters:
    `path` - to the desired resource.
  Returns:
    all resources which match the given path.
  Throws:
    `java.io.IOException` - if the url is illegal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.